<div class="container">

    <h1>My devices</h1>

    <button mat-fab color="add-button" [routerLink]="['/my-devices/new']">
        <mat-icon>add</mat-icon>
    </button>


    <table mat-table [dataSource]="devices" class="devices-table">

        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef class="center-text">Unique identification</th>
            <td mat-cell *matCellDef="let device">{{device.id}}</td>
        </ng-container>

        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef class="center-text">Name</th>
            <td mat-cell *matCellDef="let device">{{device.name}}</td>
        </ng-container>

        <ng-container matColumnDef="currentEnvironmentId">
            <th mat-header-cell *matHeaderCellDef class="center-text">Assigned to environment</th>
            <td mat-cell *matCellDef="let device">{{device.currentEnvironmentId}}</td>
        </ng-container>

        <ng-container matColumnDef="actions">
            <th mat-header-cell *matHeaderCellDef class="center-text">Actions</th>
            <td mat-cell *matCellDef="let device">
                <div class="actions">
                    <button mat-raised-button color="edit-button" (click)="edit(device)">Edit</button>
                    <button mat-raised-button color="delete-button">Delete</button>
                </div>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
    </table>
</div>